// genesis defaults.g

/*

==========================================================================
               FUNCTION                 ARGUEMENTS
==========================================================================
          makesystem
          resetdefaults
===========================================================================
*/


//========================================================================
//                  create the cells and connections
//========================================================================
function makesystem
  //========================================================================
  //                            create cell
  //========================================================================
  makeneuron /cell 100e-6 100e-6
  position /cell -1 1 I
end

//=========================================================================
//  reset cell parameters to default values, delete old windows, make new ones
//=========================================================================
function resetdefaults

   delete /cell/settings
   delete /output/settings
   delete /viewform

   create xform /output/settings [5,5,200,145] -title Settings
   xshow /output/settings
   makesettings /cell
   makeinputs /cell 20
   makeviewform
\\   check
   colorize
   reset
   echo Simulation reset to default values.
end
