// genesis

// This script works only in conjunction with the elements created
// in the GUM02_JAEGER simulation, but can be easily modified to be more general.

function spike_save(filename)

str filename

create spikegen /cell/spike
setfield ^ thresh -0.03 abs_refract 0.02 output_amp 1

// set up the input to the spike generator 
addmsg /cell/soma /cell/spike INPUT Vm

create event_tofile /output/to{filename}
setfield /output/to{filename} fname {filename} threshold 0.5

addmsg /cell/spike /output/to{filename} INPUT state

// NOTE: to read a spike output file in the middle of the simulation, you need to close the
// event_tofile element first using call to{filename} FLUSH

end
