// D. Jaeger 2/14/02
// a little paramter search for synaptic time courses
// this one saves the results in asci files

function runpar

create asc_file /fileout
setfield /fileout flush 0 leave_open 1 append 1
useclock /fileout 1
 
addmsg /cell/soma  /fileout SAVE Vm  // column 2
addmsg /cell/ampa  /fileout SAVE Gk // column 3
addmsg /cell/ampa  /fileout SAVE Ik // column 4

int i
float tau1 = 0.0005
float tau2 = 0.003

for(i=1; i<=4; i=i+1)
	setfield /cell/ampa tau1 {tau1}
	echo tau1 of ampa synapse to {tau1}
	setfield /fileout filename parset{i}.txt
	call /fileout OUT_OPEN
	reset
	step 0.05 -t
	tau1 = tau1 + 0.0005
	call /fileout FLUSH
	call /fileout DELETE
end

setfield /cell/ampa tau1 0.0005
for(i=5; i<=8; i=i+1)
	tau2 = tau2 + 0.002
	echo tau2 of ampa synapse to {tau2}
	setfield /cell/ampa tau2 {tau2}
	setfield /fileout filename parset{i}.txt
        call /fileout OUT_OPEN
        reset
 	step 0.05 -t
	call /fileout FLUSH
	call /fileout DELETE
end

end
