// genesis

// This script works only in conjunction with the elements created
// in the GUM02_JAEGER simulation.
// a random current injection operation is created

// this random current is independent of the current injection pulse already 
// set up in the base simulation

function calc_randi
	call . PROCESS -parent
	setrandfield . randi -gaussian 0.3e-9 0.4e-9
	return 0
end

if(!{exists /input})
	create neutral /input
end

pushe /input
create pulsegen randpulse
addfield randpulse randi
addaction randpulse PROCESS calc_randi

addmsg randpulse /cell/soma INJECT randi

setclock 2 5e-3
useclock randpulse 2

pope
