// D. Jaeger 10/31/02
// this one saves the results in asci files
// lots of synapses for passive tutorial 

create asc_file /fileout
setfield /fileout flush 0 leave_open 1 append 1
useclock /fileout 1
 
addspikecurrent

float gmax_ampa = 6.4e-9
float gmax_gaba = 1.28e-8

// Condition 1: noisy current injection
randomi2

addmsg /cell/soma  /fileout SAVE Vm  // column 2
addmsg /input/randpulse /fileout SAVE randi // colum 3
addmsg /cell/soma/NaF /fileout SAVE Ik // column 4
addmsg /cell/soma/Kdr /fileout SAVE Ik // column 5
setfield /fileout filename shuntdemo1.txt
call /fileout OUT_OPEN
reset
step 0.5 -t
call /fileout FLUSH
call /fileout DELETE

// Condition 2: lots of input
// load synapses
disable /input/randpulse
lotsexandin
setfield /cell/ampa gmax {gmax_ampa}
setfield /cell/gaba gmax {gmax_gaba}
echo gmax of ampa synapse to {gmax_ampa}
echo gmax of gaba synapse to {gmax_gaba}
// save synaptic variables
addmsg /cell/ampa  /fileout SAVE Gk // column 6
addmsg /cell/ampa  /fileout SAVE Ik // column 6
addmsg /cell/gaba /fileout SAVE Gk // column 8
addmsg /cell/gaba  /fileout SAVE Ik // column 9

setfield /fileout filename shuntdemo2.txt
call /fileout OUT_OPEN
reset
step 0.5 -t
call /fileout FLUSH
call /fileout DELETE

// Condition 3: both noisy current and lots of input
enable /input/randpulse
setfield /fileout filename shuntdemo3.txt
call /fileout OUT_OPEN
reset
step 0.5 -t
call /fileout FLUSH
call /fileout DELETE
